Webhooks

Subscribe to Webhook

PUT
/v1/Webhooks/{Type}

Enables Webhook Subscription for a particular Event Type.

AuthorizationBasic <token>

Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.

In: header

Path Parameters

Type*string

Specifies the type of the webhook.

Value in

  • "TcrCampaignImported"
  • "PhoneNumberStatusChanged"
  • "PhoneNumberVoiceStatusChanged"
  • "TrafficLimitAlert"
  • "InboundCallReceived"
  • "InboundCallReceivedFallback"
  • "CallStatusChanged"
  • "CallRecordingCompleted"
  • "RcsOutboundMessageStatusChanged"
  • "RcsInboundMessageReceived"
  • "RcsInboundUserAction"
  • "RcsMessageSeen"
  • "RcsTypingIndicator"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Webhook model.

Response Body

curl -X PUT "https://example.com/v1/Webhooks/TcrCampaignImported" \  -H "Content-Type: application/json" \  -d '{    "url": "https://example.com/webhook?source=telgorithm",    "authorizationBearer": "MySecretToken123"  }'
{  "type": "TcrCampaignImported",  "url": "https://example.com/webhook?source=telgorithm",  "authorizationBearer": "MySecretToken123"}
{  "errors": {    "Name": [      "The Name field is required."    ]  },  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",  "title": "One or more validation errors occurred.",  "status": 400,  "detail": "Some detailed message",  "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}